NAME

App::perluse - Use the specified perl in shell command

SYNOPSIS

  $ cpanm App::perluse

  $ perluse 5.30.0 perl -E 'say $^V'

  $ perluse blead perldoc perldelta

  $ perluse perl-5.30.0

  $ perluse

DESCRIPTION

See perluse(1) for available command line options.

App::perluse is not real module because perluse(1) command is just a POSIX shell script and it allows to install this script with cpan(1) or cpanm(1) command.

INSTALLATION

With cpanm(1)

  $ cpanm App::perluse

Directly

  $ lwp-request http://git.io/dXVJCg | sh

or

  $ curl -kL http://git.io/dXVJCg | sh

or

  $ wget -O- http://git.io/dXVJCg | sh

ENVIRONMENT

The script sets VIRTUAL_ENV and debian_chroot environment variables so shell prompt line should mark current Perl environment used.

SEE ALSO

http://github.com/dex4er/perluse, perluse(1).

AUTHOR

Piotr Roszatycki <dexter@cpan.org>

LICENSE

Copyright (c) 2011-2014, 2020 Piotr Roszatycki <dexter@cpan.org>.

This is free software; you can redistribute it and/or modify it under the same terms as perl itself.

See http://dev.perl.org/licenses/artistic.html